From ef8181b8081676bde976adbe8d22b12a2ecb3e1a Mon Sep 17 00:00:00 2001
From: Peter Mount <peter@retep.org.uk>
Date: Mon, 5 Mar 2001 10:18:48 +0000
Subject: [PATCH] Hmmm, a conflict with V1.104 of configure.in remained and
 broke configure (said redirection required when run).

After checking using cvsweb, removed the offending conflict.
Rebuilt configure using autoconf, and it now works fine.
---
 configure                                     | 20 +++----------------
 configure.in                                  | 16 +--------------
 contrib/retep/retep.jpx                       |  1 -
 .../uk/org/retep/util/StandaloneApp.java      | 10 ++++++++--
 4 files changed, 12 insertions(+), 35 deletions(-)

diff --git a/configure b/configure
index 95e1f189454..07b55c16e5f 100755
--- a/configure
+++ b/configure
@@ -42,7 +42,7 @@
 
 # ... more stuff removed ...
 
-# $Header: /cvsroot/pgsql/configure,v 1.112 2001/03/05 09:38:55 peter Exp $
+# $Header: /cvsroot/pgsql/configure,v 1.113 2001/03/05 10:18:43 peter Exp $
 
 
 # PGAC_PATH_FLEX
@@ -66,7 +66,7 @@
 #
 # Autoconf macros for configuring the build of Python extension modules
 #
-# $Header: /cvsroot/pgsql/configure,v 1.112 2001/03/05 09:38:55 peter Exp $
+# $Header: /cvsroot/pgsql/configure,v 1.113 2001/03/05 10:18:43 peter Exp $
 #
 
 # PGAC_PROG_PYTHON
@@ -85,7 +85,7 @@
 # the build of the shared module. Future project.
 # PGAC_PATH_PYTHONDIR
 
-# $Header: /cvsroot/pgsql/configure,v 1.112 2001/03/05 09:38:55 peter Exp $
+# $Header: /cvsroot/pgsql/configure,v 1.113 2001/03/05 10:18:43 peter Exp $
 
 # Autoconf macros to check for Tcl related things
 
@@ -8085,26 +8085,13 @@ done
 
 fi
 
-<<<<<<< configure.in
-
-# Finally ready to produce output files ...
-=======
-
 # check whether 'test -ef' works
 if (test "$srcdir" -ef "$srcdir") >/dev/null 2>&1 ; then
   test_ef_works=yes
 else
   test_ef_works=no
 fi
->>>>>>> 1.104
 
-<<<<<<< configure.in
-if test x"$abs_top_srcdir" != x"$abs_top_builddir"; then
-  echo $ac_n "preparing build tree... $ac_c" 1>&6
-  /bin/sh "$srcdir/config/prep_buildtree" "$abs_top_srcdir" "$abs_top_builddir" \
-    || { echo "configure: error: failed" 1>&2; exit 1; }
-  echo "$ac_t""done" 1>&6
-=======
 abs_top_srcdir=
 
 
@@ -8117,7 +8104,6 @@ if test "$test_ef_works" = yes ; then
       || { echo "configure: error: failed" 1>&2; exit 1; }
     echo "$ac_t""done" 1>&6
   fi
->>>>>>> 1.104
 fi
 
 trap '' 1 2 15
diff --git a/configure.in b/configure.in
index e57571957d8..61bbd77a8d7 100644
--- a/configure.in
+++ b/configure.in
@@ -1145,26 +1145,13 @@ if test -n "$NSGMLS"; then
   AC_CHECK_PROGS(SGMLSPL, sgmlspl)
 fi
 
-<<<<<<< configure.in
-
-# Finally ready to produce output files ...
-=======
-
 # check whether 'test -ef' works
 if (test "$srcdir" -ef "$srcdir") >/dev/null 2>&1 ; then
   test_ef_works=yes
 else
   test_ef_works=no
 fi
->>>>>>> 1.104
-
-<<<<<<< configure.in
-if test x"$abs_top_srcdir" != x"$abs_top_builddir"; then
-  echo $ac_n "preparing build tree... $ac_c" 1>&6
-  /bin/sh "$srcdir/config/prep_buildtree" "$abs_top_srcdir" "$abs_top_builddir" \
-    || AC_MSG_ERROR(failed)
-  AC_MSG_RESULT(done)
-=======
+
 abs_top_srcdir=
 AC_SUBST(abs_top_srcdir)
 
@@ -1177,7 +1164,6 @@ if test "$test_ef_works" = yes ; then
       || AC_MSG_ERROR(failed)
     AC_MSG_RESULT(done)
   fi
->>>>>>> 1.104
 fi
 
 AC_OUTPUT(
diff --git a/contrib/retep/retep.jpx b/contrib/retep/retep.jpx
index 746137dd306..dcf68ac8ceb 100644
--- a/contrib/retep/retep.jpx
+++ b/contrib/retep/retep.jpx
@@ -40,7 +40,6 @@
   <property category="sys" name="Version" value="1.0" />
   <property category="sys" name="VersionLabel" value="@version" />
   <property category="sys" name="WorkingDirectory" value="." />
-  <node type="Package" name="uk.org.retep.app" />
   <node type="Package" name="uk.org.retep.dtu" />
   <node type="Package" name="uk.org.retep.tools" />
   <node type="Package" name="uk.org.retep.util" />
diff --git a/contrib/retep/uk/org/retep/util/StandaloneApp.java b/contrib/retep/uk/org/retep/util/StandaloneApp.java
index 3c6c9aca367..8340a566454 100644
--- a/contrib/retep/uk/org/retep/util/StandaloneApp.java
+++ b/contrib/retep/uk/org/retep/util/StandaloneApp.java
@@ -15,7 +15,7 @@ import java.awt.event.*;
  * Note: Because it's designed for standalone use, if this window is closed,
  * the JVM is terminated. Do not use for normal application use.
  *
- * $Id: StandaloneApp.java,v 1.1 2001/03/05 09:15:36 peter Exp $
+ * $Id: StandaloneApp.java,v 1.2 2001/03/05 10:18:48 peter Exp $
  *
  * @author
  * @version 1.0
@@ -44,7 +44,13 @@ public abstract class StandaloneApp extends JFrame
     Globals.getInstance().parseArguments(aArgs);
 
     // Now initialise this tool (init is overidden)
-    JComponent tool = init();
+    JComponent tool = null;
+    try {
+      tool = init();
+    } catch(Exception ex) {
+      ex.printStackTrace();
+      System.exit(1);
+    }
 
     // Now add to this frame
     this.getContentPane().add(tool, BorderLayout.CENTER);
-- 
GitLab